Index: branches/dev_002_LIM/NEMO/LIM_SRC/ice.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/ice.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/ice.F90	(revision 821)
@@ -1,10 +1,10 @@
-MODULE ice
+MODULE ice_2
    !!======================================================================
    !!                        ***  MODULE ice  ***
    !! Sea Ice physics:  diagnostics variables of ice defined in memory
    !!=====================================================================
-#if defined key_ice_lim
+#if defined key_lim2
    !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
    !! History :
@@ -16,5 +16,5 @@
    !!----------------------------------------------------------------------
    !! * Modules used
-   USE par_ice          ! LIM sea-ice parameters
+   USE par_ice_2          ! LIM sea-ice parameters
 
    IMPLICIT NONE
@@ -123,8 +123,8 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option         Empty module            NO LIM sea-ice model
+   !!   Default option         Empty module        NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 #endif
 
    !!======================================================================
-END MODULE ice
+END MODULE ice_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/iceini.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/iceini.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/iceini.F90	(revision 821)
@@ -1,20 +1,20 @@
-MODULE iceini
+MODULE iceini_2
    !!======================================================================
    !!                       ***  MODULE iceini   ***
-   !!   Sea-ice model : LIM Sea ice model Initialization
+   !!   Sea-ice model : LIM 2.0 Sea ice model Initialization
    !!======================================================================
    !! History :   1.0  !  02-08  (G. Madec)  F90: Free form and modules
    !!             2.0  !  03-08  (C. Ethe)  add ice_run
    !!----------------------------------------------------------------------
-#if defined key_ice_lim
+#if defined key_lim2
    !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
-   !!   ice_init       : sea-ice model initialization
-   !!   ice_run        : Definition some run parameter for ice model
+   !!   ice_init_2       : sea-ice model initialization
+   !!   ice_run_2        : Definition some run parameter for ice model
    !!----------------------------------------------------------------------
    USE dom_oce
-   USE dom_ice
+   USE dom_ice_2
    USE in_out_manager
    USE ice_oce         ! ice variables
@@ -22,8 +22,8 @@
    USE phycst          ! Define parameters for the routines
    USE ocfzpt
-   USE ice
-   USE limmsh
-   USE limistate
-   USE limrst   
+   USE ice_2
+   USE limmsh_2
+   USE limistate_2
+   USE limrst_2   
    USE ini1d           ! initialization of the 1D configuration
       
@@ -31,5 +31,5 @@
    PRIVATE
 
-   PUBLIC   ice_init                 ! called by opa.F90
+   PUBLIC   ice_init_2               ! called by opa.F90
 
    LOGICAL , PUBLIC               ::   ln_limdyn = .TRUE.   !: flag for ice dynamics (T) or not (F)
@@ -46,7 +46,7 @@
 CONTAINS
 
-   SUBROUTINE ice_init
+   SUBROUTINE ice_init_2
       !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE ice_init  ***
+      !!                  ***  ROUTINE ice_init_2  ***
       !!
       !! ** purpose :   
@@ -59,5 +59,5 @@
       CALL ctlopn(numnam_ice,namelist_icename,'OLD', 'FORMATTED', 'SEQUENTIAL',   &
                      1,numout,.FALSE.,1)      
-      CALL ice_run                    !  read in namelist some run parameters
+      CALL ice_run_2                    !  read in namelist some run parameters
                  
       ! Louvain la Neuve Ice model
@@ -70,11 +70,11 @@
       ENDIF
 
-      CALL lim_msh                    ! ice mesh initialization
+      CALL lim_msh_2                  ! ice mesh initialization
      
       ! Initial sea-ice state
       IF( .NOT.ln_rstart ) THEN
-         CALL lim_istate              ! start from rest: sea-ice deduced from sst
+         CALL lim_istate_2            ! start from rest: sea-ice deduced from sst
       ELSE
-         CALL lim_rst_read            ! start from a restart file
+         CALL lim_rst_read_2          ! start from a restart file
       ENDIF
       
@@ -85,10 +85,10 @@
 # endif
       !
-   END SUBROUTINE ice_init
+   END SUBROUTINE ice_init_2
 
 
-   SUBROUTINE ice_run
+   SUBROUTINE ice_run_2
       !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE ice_run ***
+      !!                  ***  ROUTINE ice_run_2 ***
       !!                 
       !! ** Purpose :   Definition some run parameter for ice model
@@ -118,15 +118,15 @@
       ENDIF
       !
-   END SUBROUTINE ice_run
+   END SUBROUTINE ice_run_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :        Empty module           NO LIM sea-ice model
+   !!   Default option :        Empty module       NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE ice_init        ! Empty routine
-   END SUBROUTINE ice_init
+   SUBROUTINE ice_init_2      ! Empty routine
+   END SUBROUTINE ice_init_2
 #endif
 
    !!======================================================================
-END MODULE iceini
+END MODULE iceini_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/icestp.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/icestp.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/icestp.F90	(revision 821)
@@ -1,5 +1,5 @@
-MODULE icestp
+MODULE icestp_2
    !!======================================================================
-   !!                       ***  MODULE icestp   ***
+   !!                       ***  MODULE icestp_2   ***
    !!   Sea-Ice model : LIM Sea ice model time-stepping
    !!======================================================================
@@ -8,10 +8,10 @@
    !!   2.0  !  02-09  (G. Madec, C. Ethe)  F90: Free form and module
    !!----------------------------------------------------------------------
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   Lim sea-ice model
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !!   ice_stp       : sea-ice model time-stepping
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   ice_stp_2       : sea-ice model time-stepping
    !!----------------------------------------------------------------------
    USE dom_oce
@@ -20,20 +20,20 @@
    USE ice_oce         ! ice variables
    USE flx_oce         ! forcings variables
-   USE dom_ice
+   USE dom_ice_2
    USE cpl_oce
    USE daymod
    USE phycst          ! Define parameters for the routines
    USE taumod
-   USE ice
+   USE ice_2
    USE ocesbc
    USE lbclnk
-   USE limdyn
-   USE limtrp
-   USE limthd
-   USE limflx
-   USE limdia
-   USE limwri
-   USE limrst
-   USE limdmp          ! Ice damping
+   USE limdyn_2
+   USE limtrp_2
+   USE limthd_2
+   USE limflx_2
+   USE limdia_2
+   USE limwri_2
+   USE limrst_2
+   USE limdmp_2        ! Ice damping
    USE prtctl          ! Print control
 
@@ -41,5 +41,5 @@
    PRIVATE
 
-   PUBLIC   ice_stp    ! called by step.F90
+   PUBLIC   ice_stp_2  ! called by step.F90
 
    !! * Substitutions
@@ -54,7 +54,7 @@
 CONTAINS
 
-   SUBROUTINE ice_stp ( kt )
+   SUBROUTINE ice_stp_2 ( kt )
       !!---------------------------------------------------------------------
-      !!                  ***  ROUTINE ice_stp  ***
+      !!                  ***  ROUTINE ice_stp_2  ***
       !!                   
       !! ** Purpose :   Louvain la Neuve Sea Ice Model time stepping 
@@ -196,9 +196,9 @@
 
          !                                                           !-----------------------!
-         CALL lim_rst_opn( kt )                                   ! Open Ice restart file !
+         CALL lim_rst_opn_2( kt )                                    ! Open Ice restart file !
          !                                                           !-----------------------!
 
          !                                                           !--------------!
-         CALL lim_dyn( kt )                                          ! Ice dynamics !   ( rheology/dynamics )
+         CALL lim_dyn_2( kt )                                        ! Ice dynamics !   ( rheology/dynamics )
          !                                                           !--------------!
          IF(ln_ctl) THEN
@@ -209,5 +209,5 @@
 
          !                                                           !---------------!
-         CALL lim_trp( kt )                                          ! Ice transport !  ( Advection/diffusion )
+         CALL lim_trp_2( kt )                                        ! Ice transport !  ( Advection/diffusion )
          !                                                           !---------------!
          IF(ln_ctl) THEN
@@ -220,11 +220,11 @@
          !                                                           !-------------!
 #if defined key_agrif
-            IF( Agrif_Root() )   CALL lim_dmp(kt)
+            IF( Agrif_Root() )   CALL lim_dmp_2(kt)
 #else
-            CALL lim_dmp(kt)                                         
+            CALL lim_dmp_2(kt)                                         
 #endif
          ENDIF
          !                                                           !--------------------!
-         CALL lim_thd( kt )                                          ! Ice thermodynamics !
+         CALL lim_thd_2( kt )                                        ! Ice thermodynamics !
          !                                                           !--------------------!
          IF(ln_ctl) THEN
@@ -236,17 +236,17 @@
          ! Mass and heat fluxes from ice to ocean
          !                                                           !------------------------------!
-         CALL lim_flx                                                ! Ice/Ocean Mass & Heat fluxes !
+         CALL lim_flx_2                                              ! Ice/Ocean Mass & Heat fluxes !
          !                                                           !------------------------------!
 
          IF( MOD( kt + nfice -1, ninfo ) == 0 .OR. ntmoy == 1 )  THEN        !-----------------!
-            CALL lim_dia( kt )                                    ! Ice Diagnostics !
-         ENDIF                                                       !-----------------!
-
-         !                                                           !-------------!
-         CALL lim_wri( kt )                                          ! Ice outputs !
+            CALL lim_dia_2( kt )                                             ! Ice Diagnostics !
+         ENDIF                                                               !-----------------!
+
+         !                                                           !-------------!
+         CALL lim_wri_2( kt )                                        ! Ice outputs !
          !                                                           !-------------!
 
          !                                                           !------------------------!
-         IF( lrst_ice ) CALL lim_rst_write( kt )                  ! Write Ice restart file !
+         IF( lrst_ice ) CALL lim_rst_write_2( kt )                   ! Write Ice restart file !
          !                                                           !------------------------!
 
@@ -271,16 +271,16 @@
       ENDIF
       !
-   END SUBROUTINE ice_stp
+   END SUBROUTINE ice_stp_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option           Dummy module          NO LIM sea-ice model
+   !!   Default option           Dummy module      NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE ice_stp ( kt )     ! Dummy routine
-      WRITE(*,*) 'ice_stp: You should not have seen this print! error?', kt
-   END SUBROUTINE ice_stp
+   SUBROUTINE ice_stp_2 ( kt )     ! Dummy routine
+      WRITE(*,*) 'ice_stp_2: You should not have seen this print! error?', kt
+   END SUBROUTINE ice_stp_2
 #endif
 
    !!======================================================================
-END MODULE icestp
+END MODULE icestp_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/limadv.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limadv.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limadv.F90	(revision 821)
@@ -1,17 +1,17 @@
-MODULE limadv 
+MODULE limadv_2 
    !!======================================================================
-   !!                       ***  MODULE limadv   ***
-   !! LIM sea-ice model : sea-ice advection
+   !!                       ***  MODULE limadv_2   ***
+   !! LIM 2.0 sea-ice model : sea-ice advection
    !!======================================================================
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim'                                     LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!   lim_adv_x  : advection of sea ice on x axis
-   !!   lim_adv_y  : advection of sea ice on y axis
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2'                                    LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!   lim_adv_x_2  : advection of sea ice on x axis
+   !!   lim_adv_y_2  : advection of sea ice on y axis
    !!----------------------------------------------------------------------
    !! * Modules used
    USE dom_oce
-   USE dom_ice
+   USE dom_ice_2
    USE ice_oce         ! ice variables
    USE in_out_manager  ! I/O manager
@@ -23,6 +23,6 @@
 
    !! * Routine accessibility
-   PUBLIC lim_adv_x    ! called by lim_trp
-   PUBLIC lim_adv_y    ! called by lim_trp
+   PUBLIC lim_adv_x_2    ! called by lim_trp
+   PUBLIC lim_adv_y_2    ! called by lim_trp
 
    !! * Module variables
@@ -39,8 +39,8 @@
 CONTAINS
 
-   SUBROUTINE lim_adv_x( pdf, put , pcrh, psm , ps0 ,   &
-      &                  psx, psxx, psy , psyy, psxy )
+   SUBROUTINE lim_adv_x_2( pdf, put , pcrh, psm , ps0 ,   &
+      &                    psx, psxx, psy , psyy, psxy )
       !!---------------------------------------------------------------------
-      !!                **  routine lim_adv_x  **
+      !!                **  routine lim_adv_x_2  **
       !!  
       !! ** purpose :   Computes and adds the advection trend to sea-ice
@@ -232,11 +232,11 @@
       ENDIF
 
-   END SUBROUTINE lim_adv_x
-
-
-   SUBROUTINE lim_adv_y( pdf, pvt , pcrh, psm , ps0 ,   &
-      &                  psx, psxx, psy , psyy, psxy )
+   END SUBROUTINE lim_adv_x_2
+
+
+   SUBROUTINE lim_adv_y_2( pdf, pvt , pcrh, psm , ps0 ,   &
+      &                    psx, psxx, psy , psyy, psxy )
       !!---------------------------------------------------------------------
-      !!                **  routine lim_adv_y  **
+      !!                **  routine lim_adv_y_2  **
       !!            
       !! ** purpose :   Computes and adds the advection trend to sea-ice 
@@ -432,17 +432,17 @@
       ENDIF
 
-   END SUBROUTINE lim_adv_y
+   END SUBROUTINE lim_adv_y_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option            Dummy module         NO LIM sea-ice model
+   !!   Default option            Dummy module     NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_adv_x         ! Empty routine
-   END SUBROUTINE lim_adv_x
-   SUBROUTINE lim_adv_y           ! Empty routine
-   END SUBROUTINE lim_adv_y
+   SUBROUTINE lim_adv_x_2         ! Empty routine
+   END SUBROUTINE lim_adv_x_2
+   SUBROUTINE lim_adv_y_2         ! Empty routine
+   END SUBROUTINE lim_adv_y_2
 
 #endif
 
-END MODULE limadv
+END MODULE limadv_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/limdia.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limdia.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limdia.F90	(revision 821)
@@ -1,5 +1,5 @@
-MODULE limdia
+MODULE limdia_2
    !!======================================================================
-   !!                       ***  MODULE limdia   ***
+   !!                       ***  MODULE limdia_2   ***
    !!                      diagnostics of ice model 
    !!======================================================================
@@ -8,19 +8,19 @@
    !!             9.0  !  06-08  (S. Masson)  change frequency output control
    !!-------------------------------------------------------------------
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !!   lim_dia      : computation of the time evolution of keys var.
-   !!   lim_dia_init : initialization and namelist read
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   lim_dia_2      : computation of the time evolution of keys var.
+   !!   lim_dia_init_2 : initialization and namelist read
    !!----------------------------------------------------------------------
    USE phycst          ! 
-   USE par_ice         ! ice parameters
+   USE par_ice_2       ! ice parameters
    USE ice_oce         ! ice variables
    USE daymod          !
-   USE dom_ice         !
-   USE ice             !
-   USE limistate       !
+   USE dom_ice_2       !
+   USE ice_2           !
+   USE limistate_2     !
    USE in_out_manager  ! I/O manager
 
@@ -28,5 +28,5 @@
    PRIVATE
 
-   PUBLIC               lim_dia            ! called by ice_step
+   PUBLIC               lim_dia_2          ! called by ice_step
    INTEGER, PUBLIC ::   ntmoy   = 1 ,   &  !: instantaneous values of ice evolution or averaging ntmoy
       &                 ninfo   = 1        !: frequency of ouputs on file ice_evolu in case of averaging
@@ -64,7 +64,7 @@
 CONTAINS
 
-   SUBROUTINE lim_dia( kt )
+   SUBROUTINE lim_dia_2( kt )
       !!--------------------------------------------------------------------
-      !!                  ***  ROUTINE lim_dia  ***
+      !!                  ***  ROUTINE lim_dia_2  ***
       !!   
       !! ** Purpose : Computation and outputs on file ice.evolu 
@@ -82,5 +82,5 @@
       !!-------------------------------------------------------------------
 
-      IF( kt == nit000 )   CALL lim_dia_init   ! initialisation of ice_evolu file      
+      IF( kt == nit000 )   CALL lim_dia_init_2  ! initialisation of ice_evolu file      
 
       ! computation of key variables at each time step   
@@ -162,10 +162,10 @@
        ENDIF
        !
-    END SUBROUTINE lim_dia
+    END SUBROUTINE lim_dia_2
  
 
-    SUBROUTINE lim_dia_init
+    SUBROUTINE lim_dia_init_2
        !!-------------------------------------------------------------------
-       !!                  ***  ROUTINE lim_dia_init  ***
+       !!                  ***  ROUTINE lim_dia_init_2  ***
        !!             
        !! ** Purpose : Preparation of the file ice_evolu for the output of
@@ -190,6 +190,6 @@
        IF(lwp) THEN
           WRITE(numout,*)
-          WRITE(numout,*) 'lim_dia_init : ice parameters for ice diagnostics '
-          WRITE(numout,*) '~~~~~~~~~~~~'
+          WRITE(numout,*) 'lim_dia_init_2 : ice parameters for ice diagnostics '
+          WRITE(numout,*) '~~~~~~~~~~~~~~'
           WRITE(numout,*) '   format of the output values                                 fmtinf = ', fmtinf
           WRITE(numout,*) '   number of variables written in one line                     nfrinf = ', nfrinf 
@@ -274,15 +274,15 @@
 1111   FORMAT( 3(F7.1,1X,F7.3,1X),I3,A )  
       !
-    END SUBROUTINE lim_dia_init
+    END SUBROUTINE lim_dia_init_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :                               NO LIM sea-ice model
+   !!   Default option :                           NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_dia         ! Empty routine
-   END SUBROUTINE lim_dia
+   SUBROUTINE lim_dia_2         ! Empty routine
+   END SUBROUTINE lim_dia_2
 #endif
 
    !!======================================================================
-END MODULE limdia
+END MODULE limdia_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/limdmp.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limdmp.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limdmp.F90	(revision 821)
@@ -1,20 +1,20 @@
-MODULE limdmp
+MODULE limdmp_2
    !!======================================================================
-   !!                       ***  MODULE limdmp   ***
+   !!                       ***  MODULE limdmp_2   ***
    !!  Ice model : restoring Ice thickness and Fraction leads
    !!======================================================================
    !! History :   2.0  !  04-04 (S. Theetten) Original code
    !!----------------------------------------------------------------------
-#if defined key_ice_lim   &&   defined key_tradmp
+#if defined key_lim2   &&   defined key_tradmp
    !!----------------------------------------------------------------------
-   !!   'key_ice_lim'  AND                                LIM sea-ice model
+   !!   'key_lim2'  AND                               LIM 2.0 sea-ice model
    !!   'key_tradmp'                                                Damping
    !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
-   !!   lim_dmp      : ice model damping
+   !!   lim_dmp_2      : ice model damping
    !!----------------------------------------------------------------------
    USE in_out_manager  ! I/O manager
    USE phycst          ! physical constants
-   USE ice
+   USE ice_2
    USE ice_oce
    USE tradmp
@@ -27,5 +27,5 @@
    PRIVATE
 
-   PUBLIC   lim_dmp     ! called by ice_step
+   PUBLIC   lim_dmp_2     ! called by ice_step_2
    
    INTEGER                        ::   nice1, nice2,  &  ! first and second record used
@@ -46,7 +46,7 @@
 CONTAINS
 
-   SUBROUTINE lim_dmp(kt)
+   SUBROUTINE lim_dmp_2(kt)
       !!-------------------------------------------------------------------
-      !!                   ***  ROUTINE lim_dmp ***
+      !!                   ***  ROUTINE lim_dmp_2 ***
       !!
       !! ** purpose : ice model damping : restoring ice thickness and 
@@ -60,5 +60,5 @@
       !!---------------------------------------------------------------------
       !
-      CALL dta_lim( kt )
+      CALL dta_lim_2( kt )
 
       DO jj = 2, jpjm1
@@ -69,10 +69,10 @@
       END DO
       !
-   END SUBROUTINE lim_dmp
+   END SUBROUTINE lim_dmp_2
 
 
-   SUBROUTINE dta_lim( kt ) 
+   SUBROUTINE dta_lim_2( kt ) 
       !!----------------------------------------------------------------------
-      !!                   ***  ROUTINE dta_lim  ***
+      !!                   ***  ROUTINE dta_lim_2  ***
       !!
       !! ** Purpose :   Reads monthly ice thickness and fraction lead  data
@@ -167,5 +167,5 @@
       IF( kt == nitend )   CALL iom_close( inumice_dmp )
       !
-   END SUBROUTINE dta_lim
+   END SUBROUTINE dta_lim_2
 
 #else
@@ -174,9 +174,9 @@
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_dmp( kt )        ! Dummy routine
-      WRITE(*,*) 'lim_dmp: You should not see this print! error? ', kt
-   END SUBROUTINE lim_dmp
+   SUBROUTINE lim_dmp_2( kt )        ! Dummy routine
+      WRITE(*,*) 'lim_dmp_2: You should not see this print! error? ', kt
+   END SUBROUTINE lim_dmp_2
 #endif
 
    !!======================================================================
-END MODULE limdmp
+END MODULE limdmp_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/limdyn.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limdyn.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limdyn.F90	(revision 821)
@@ -1,24 +1,24 @@
-MODULE limdyn
+MODULE limdyn_2
    !!======================================================================
-   !!                     ***  MODULE  limdyn  ***
+   !!                     ***  MODULE  limdyn_2  ***
    !!   Sea-Ice dynamics :  
    !!======================================================================
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!    lim_dyn      : computes ice velocities
-   !!    lim_dyn_init : initialization and namelist read
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!    lim_dyn_2      : computes ice velocities
+   !!    lim_dyn_init_2 : initialization and namelist read
    !!----------------------------------------------------------------------
    !! * Modules used
    USE phycst
    USE in_out_manager  ! I/O manager
-   USE dom_ice
+   USE dom_ice_2
    USE dom_oce         ! ocean space and time domain
-   USE ice
+   USE ice_2
    USE ice_oce
-   USE iceini
-   USE limistate
-   USE limrhg          ! ice rheology
+   USE iceini_2
+   USE limistate_2
+   USE limrhg_2        ! ice rheology
    USE lbclnk
    USE lib_mpp
@@ -29,5 +29,5 @@
 
    !! * Accessibility
-   PUBLIC lim_dyn  ! routine called by ice_step
+   PUBLIC lim_dyn_2  ! routine called by ice_step
 
    !! * Module variables
@@ -42,7 +42,7 @@
 CONTAINS
 
-   SUBROUTINE lim_dyn( kt )
+   SUBROUTINE lim_dyn_2( kt )
       !!-------------------------------------------------------------------
-      !!               ***  ROUTINE lim_dyn  ***
+      !!               ***  ROUTINE lim_dyn_2  ***
       !!               
       !! ** Purpose :   compute ice velocity and ocean-ice stress
@@ -74,5 +74,5 @@
       !!---------------------------------------------------------------------
 
-      IF( kt == nit000  )   CALL lim_dyn_init   ! Initialization (first time-step only)
+      IF( kt == nit000  )   CALL lim_dyn_init_2   ! Initialization (first time-step only)
       
       IF ( ln_limdyn ) THEN
@@ -97,5 +97,5 @@
                CALL prt_ctl_info('lim_dyn  :    i_j1 = ', ivar1=i_j1, clinfo2=' ij_jpj = ', ivar2=i_jpj)
             ENDIF
-            CALL lim_rhg( i_j1, i_jpj )
+            CALL lim_rhg_2( i_j1, i_jpj )
 
          ELSE                                 ! optimization of the computational area
@@ -119,5 +119,5 @@
                IF(ln_ctl)   WRITE(numout,*) 'lim_dyn : NH i_j1 = ', i_j1, ' ij_jpj = ', i_jpj
     
-               CALL lim_rhg( i_j1, i_jpj )
+               CALL lim_rhg_2( i_j1, i_jpj )
     
                ! Southern hemisphere
@@ -130,5 +130,5 @@
                IF(ln_ctl)   WRITE(numout,*) 'lim_dyn : SH i_j1 = ', i_j1, ' ij_jpj = ', i_jpj
     
-               CALL lim_rhg( i_j1, i_jpj )
+               CALL lim_rhg_2( i_j1, i_jpj )
     
             ELSE                                 ! local domain extends over one hemisphere only
@@ -149,5 +149,5 @@
                IF(ln_ctl)   WRITE(numout,*) 'lim_dyn : one hemisphere: i_j1 = ', i_j1, ' ij_jpj = ', i_jpj
     
-               CALL lim_rhg( i_j1, i_jpj )
+               CALL lim_rhg_2( i_j1, i_jpj )
 
             ENDIF
@@ -250,10 +250,10 @@
       ENDIF
 
-   END SUBROUTINE lim_dyn
-
-
-   SUBROUTINE lim_dyn_init
+   END SUBROUTINE lim_dyn_2
+
+
+   SUBROUTINE lim_dyn_init_2
       !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE lim_dyn_init  ***
+      !!                  ***  ROUTINE lim_dyn_init_2  ***
       !!
       !! ** Purpose : Physical constants and parameters linked to the ice
@@ -281,6 +281,6 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'lim_dyn_init : ice parameters for ice dynamics '
-         WRITE(numout,*) '~~~~~~~~~~~~'
+         WRITE(numout,*) 'lim_dyn_init_2: ice parameters for ice dynamics '
+         WRITE(numout,*) '~~~~~~~~~~~~~~'
          WRITE(numout,*) '       tolerance parameter                              epsd   = ', epsd
          WRITE(numout,*) '       coefficient for semi-implicit coriolis           alpha  = ', alpha
@@ -313,15 +313,15 @@
       ahiv(:,:) = ahi0 * vmask(:,:,1)
 
-   END SUBROUTINE lim_dyn_init
+   END SUBROUTINE lim_dyn_init_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option          Empty module           NO LIM sea-ice model
+   !!   Default option          Empty module       NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_dyn         ! Empty routine
-   END SUBROUTINE lim_dyn
+   SUBROUTINE lim_dyn_2         ! Empty routine
+   END SUBROUTINE lim_dyn_2
 #endif 
 
    !!======================================================================
-END MODULE limdyn
+END MODULE limdyn_2
